package com.fs.live.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveOrderDf;

import java.util.List;

/**
 * 订单代服管家Mapper接口
 *
 * @author fs
 * @date 2025-07-08
 */
public interface LiveOrderDfMapper extends BaseMapper<LiveOrderDf>{
    /**
     * 查询订单代服管家
     *
     * @param orderId 订单代服管家主键
     * @return 订单代服管家
     */
    LiveOrderDf selectLiveOrderDfByOrderId(Long orderId);

    /**
     * 查询订单代服管家列表
     *
     * @param fsStoreOrderDf 订单代服管家
     * @return 订单代服管家集合
     */
    List<LiveOrderDf> selectLiveOrderDfList(LiveOrderDf fsStoreOrderDf);

    /**
     * 新增订单代服管家
     *
     * @param fsStoreOrderDf 订单代服管家
     * @return 结果
     */
    int insertLiveOrderDf(LiveOrderDf fsStoreOrderDf);

    /**
     * 修改订单代服管家
     *
     * @param fsStoreOrderDf 订单代服管家
     * @return 结果
     */
    int updateLiveOrderDf(LiveOrderDf fsStoreOrderDf);

    /**
     * 删除订单代服管家
     *
     * @param orderId 订单代服管家主键
     * @return 结果
     */
    int deleteLiveOrderDfByOrderId(Long orderId);

    /**
     * 批量删除订单代服管家
     *
     * @param orderIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiveOrderDfByOrderIds(Long[] orderIds);
}
